Name: enca
Version: 0.99.4
Release: alt1

Summary: A program that guesses encoding of text files
License: GPL
Group: Text tools

Url: http://trific.ath.cx/software/%name
Source: http://physics.muni.cz/~yeti/download/%name-%version.tar.bz2

PreReq: sed, lib%name = %version-%release
BuildPreReq: bzip2-devel

# Automatically added by buildreq on Tue Nov 26 2002
BuildRequires: recode

Prefix: %prefix

Summary(ru_RU.KOI8-R): , ""   
Summary(uk_UA.KOI8-U): ,  "դ"   ̦

%description
Enca (Extremely Naive Charset Analyser) is a simple utility guessing
encoding of text files and optionally converting them to some other
encoding using either a built-in convertor, a system conversion library
or an external conversion program.

Currently, it has support for Belarussian, Czech, Polish, Russian, Slovak,
Ukrainian, Bulgarian, Croatian, Estonian, Hungarian, Latvian, Lithuanian,
Slovene and some multibyte encodings (mostly variants of Unicode) independent
on language.

Install Enca if you need to cope with text files of dubious origin
and unknown encoding and convert them to some reasonable encoding.

%description -l ru_RU.KOI8-R
Enca (Extremely Naive Charset Analyser) -  ,  
""    , ,   
- .

  , , , , ,
, , , , , ,
,        
 .

%description -l uk_UA.KOI8-U
Enca (Extremely Naive Charset Analyser) -  ̦,   צ
""    , ,    
צ.

   Ц ¦, , , Ӧ, ,
, , , , , צ, ̦,
   ˦    צ .

%package -n lib%name
Summary: Shared Enca library
Group: System/Libraries

%description -n lib%name
This package contains shared Enca library which other programs may use.

%package -n lib%name-devel
Summary: Header files and libraries for Enca development
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the development library and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install this package if you are going to create applications using the Enca
library.

%package -n lib%name-devel-static
Summary: Static libraries for Enca development
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the static library for building statically linked
programs using the Extremely Naive Charset Analyser library.

%prep
%setup -q

%build
%configure
# SMP-incompatible build.
make

%install
%makeinstall HTML_DIR=%buildroot%_docdir/%name-%version/html

%files
%_bindir/*
%doc %_man1dir/*
%doc AUTHORS COPYING ChangeLog ChangeLog.prelib NEWS README THANKS TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%doc README.devel INSTALL devel-docs/{html,sgml}

%files -n lib%name-devel-static
%_libdir/*.a

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%changelog
* Fri Aug 29 2003 Michael Shigorin <mike@altlinux.ru> 0.99.4-alt1
- 0.99.4

* Thu Jul 03 2003 Michael Shigorin <mike@altlinux.ru> 0.99.3-alt1
- 0.99.3

* Sat Jun 14 2003 Michael Shigorin <mike@altlinux.ru> 0.99.0-alt1
- 0.99.0 (major feature enchancements)

* Sat Feb 01 2003 Michael Shigorin <mike@altlinux.ru> 0.10.7-alt2
- added missing %_libdir/*.so to lib%name-devel

* Tue Jan 28 2003 Michael Shigorin <mike@altlinux.ru> 0.10.7-alt1
- 0.10.7

* Tue Nov 26 2002 Michael Shigorin <mike@altlinux.ru> 0.10.6-alt1
- 0.10.6
- URL changed

* Fri Oct 11 2002 Michael Shigorin <mike@altlinux.ru> 0.10.4-alt1
- 0.10.4 (minor bugfixes)

* Fri Aug 30 2002 Dmitry V. Levin <ldv@altlinux.org> 0.10.1-alt2
- Fixed SMP build.
- Fixed interpackage dependencies.
- Fixed %%post/%%postun scripts.
- Automatically added buildrequires.

* Thu Aug 29 2002 Michael Shigorin <mike@altlinux.ru> 0.10.1-alt1
- 0.10.1 (fixes broken vanilla 0.10.0)

* Tue Aug 27 2002 Michael Shigorin <mike@altlinux.ru> 0.10.0-alt1
- 0.10.0
- libification (following upstream)
- last-minute author's fix

* Sat Mar 30 2002 Michael Shigorin <mike@altlinux.ru> 0.9.3-alt1
- built for ALT Linux

* Tue Jul 10 2001 David Necas (Yeti) <yeti@physics.muni.cz>
- changed rpm macros in Source and URL to autoconf macros to ease debian/
  stuff generation

* Sun May 20 2001 David Necas (Yeti) <yeti@physics.muni.cz>
- added BuildPrereq: bzip2-devel

* Wed May  2 2001 David Necas (Yeti) <yeti@physics.muni.cz>
- changed group to standard (but much less appropriate) Applications/Text
- rpm macros are used instead of autoconf macros (after the first definition)

* Sun Mar 11 2001 David Necas (Yeti) <yeti@physics.muni.cz>
- added defattr, doc attributes
- uses global configure cache
- heavy use of predefined directories
- configure moved to build section as is usual

* Sun Feb 25 2001 David Necas (Yeti) <yeti@physics.muni.cz>
- updated to enca-0.9.0pre4 (including files and descriptions)
- added sed dependency

* Sun Oct 25 2000 David Necas (Yeti) <yeti@physics.muni.cz>
- updated to enca-0.7.5

* Sun Oct 11 2000 David Necas (Yeti) <yeti@physics.muni.cz>
- removed redundant Provides: enca

* Sun Oct  1 2000 David Necas (Yeti) <yeti@physics.muni.cz>
- updated to enca-0.7.1
- man page forced to be intstalled to ${prefix}/share/man

* Tue Sep 26 2000 David Necas (Yeti) <yeti@physics.muni.cz>
- updated to enca-0.7.0
- spec autogenerated by configure

* Tue Sep 19 2000 David Necas (Yeti) <yeti@physics.muni.cz>
- fixed not installing bcstocs

* Wed Sep 13 2000 David Necas (Yeti) <yeti@physics.muni.cz>
- first packaged (0.6.2)
